<%@ page language="C#" autoeventwireup="true" inherits="safe_hostedit, App_Web_tqrintju" %>

 
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<title>safehost</title>
<meta http-equiv="Content-Type" content="text/html; charset=gbk"/>
<meta http-equiv="expires" content="0"/>
<meta http-equiv="Pragma" content="no-cache"/>
<meta http-equiv="Cache-Control" content="no-cache"/>

 <head>
  <link type="text/css" href="../css/common.css" rel="Stylesheet" />
</head>
<body>
<div class="tt">
 
<table class="site_bg_site" border=0 cellSpacing=1 cellPadding=0 width="100%" style="background:#eef5fb">
  <tbody>
  <tr class="tr3" style="height:30px;">
    <td height=28 width="100%" scope=col align=left>&nbsp;<h2>站点虚拟主机管理（如无修改请保留原值)</h2></td></tr></tbody></table>
<table class="site_bg_site" border=0 cellSpacing=1 cellPadding=0 width="100%">
 
  <script type="text/javascript"> 
  function change(i){
    if(i==0){
        if(from1.Azip.value=="0"){
            from1.Azipnum.value = "-1";
            from1.Azipnum.disabled = true;
        }
        else{
            from1.Azipnum.value = "10";
            from1.Azipnum.disabled =false;
        }
    }
    else{
        if(from1.Xzip.value=="0"){
            from1.Xzipnum.value = "-1";
            from1.Xzipnum.disabled = true;
        }
        else{
            from1.Xzipnum.value = "10";
             from1.Xzipnum.disabled = false;
        }
    }
  }
function len(s) { 
var l = 0; 
var a = s.split(""); 
for (var i=0;i<a.length;i++) { 
if (a[i].charCodeAt(0)<299) { 
l++; 
} else { 
l+=2; 
} 
} 
return l; 
}
function checkform(theForm){

 if (len(theForm.FTPpass.value)!=0&&len(theForm.FTPpass.value)<6) {
      window.alert("FTP密码必须为6-20位的字符");
      theForm.FTPpass.focus();
      return false;
 }

  if (theForm.toFTPpass.value!=theForm.FTPpass.value) {
      window.alert("两次FTP密码不一致");
      theForm.toFTPpass.focus();
      return false;
 }
  if (theForm.spanum.value=="") {
      window.alert("请输入空间大小");
      theForm.spanum.focus();
      return false;
 }
   if (theForm.IISnum.value=="") {
      window.alert("请输入IIS连接数");
      theForm.IISnum.focus();
      return false;
 }
 if(theForm.IISnum.value>4294967295){
      window.alert("IIS连接数不能大于4294967295");
      theForm.IISnum.focus();
      return false;
 }
   if (theForm.MAxnum.value=="") {
      window.alert("请输入带宽限制");
      theForm.MAxnum.focus();
      return false;
 }
 if (theForm.MAxnum.value>4194303) {
      window.alert("带宽限制不能大于4194303");
      theForm.MAxnum.focus();
      return false;
 }

if (theForm.Azipnum.value=="") {
      window.alert("请选择可解压大小");
      theForm.Azipnum.focus();
      return false;
 }
if (theForm.Xzipnum.value=="") {
      window.alert("请选择可压缩大小");
      theForm.Xzipnum.focus();
      return false;
 }
}
</script>

  <form  runat="server" id="from1" onsubmit="return checkform(this)">
  <tbody>
  <tr class="tr3 s3" style="height:30px;">
     <td class="site_bg_bs" height="22" width="200px" width="20%" scope=col>&nbsp; 站点状态：</TD>
    <td class="site_bg_bs"  scope=col><INPUT id="radrun" runat="server" value="1" CHECKED type=radio name="rad">运行&nbsp;&nbsp; 
    <INPUT id="radstop" runat="server" value="2" type=radio name="rad">停止&nbsp;&nbsp; </TD>
</tr>

<tr class="tr3 s3" style="height:30px;">  
    <td class="site_bg_bs" height="22" width="200px" scope=col>&nbsp;&nbsp;FTP密码：</td>
    <td class=style1 scope=col><input id="FTPpass" runat="server" class=input_to_to 
      title=请输入FTP密码(必填) maxLength=20 size=30 type=password name=FTPpass value="123"> 
      &nbsp;<span class=syt_1>若不修改请保持为空</span></td></tr>
      
<tr class="tr3 s3" style="height:30px;">
    <td class="site_bg_bs" height="22" width="200px" scope=col>&nbsp;&nbsp;FTP确认密码：</td>
    <td class="site_bg_bs" scope=col><input id="toFTPpass" class="input_to_to" 
      maxLength=20 size=30 type=password runat="server" name=toFTPpass  value="123"></td></tr>
      
<tr class="tr3 s3" style="height:30px;">
    <td class="site_bg_bs" height="22" width="200px" scope=col>&nbsp;&nbsp;空间大小：</td>
    <td class="site_bg_bs" scope=col><input id="spanum"  runat="server" class=input_to_to 
      title="请输入空间大小(必填) 如: 100" onkeyup="value=value.replace(/[^0-9,]/g,'')" 
      maxLength=9 size=5 name=spanum> M&nbsp;&nbsp;&nbsp;&nbsp;<span 
      class=syt_1>必须0-9的数字</span></td></tr>
      
<tr class="tr3 s3" style="height:30px;">

    <td class="site_bg_bs" height="22" width="200px" scope=col>&nbsp;&nbsp;IIS连接数：</td>
    <td class="site_bg_bs" scope=col><input id="IISnum"  runat="server" class=input_to_to 
      title="请输入IIS连接数(必填) 如: 100" onkeyup="value=value.replace(/[^0-9,]/g,'')" 
      value=0 maxLength=10 size=5 name=IISnum> 个 &nbsp;&nbsp;<span 
      class=syt_1>必须0-9的数字&nbsp;&nbsp;&nbsp;&nbsp;0</span>为不限制连接数</td></tr>
<tr class="tr3 s3" style="height:30px;">
    <td class="site_bg_bs" height="22" width="200px" scope=col>&nbsp;&nbsp;带宽限制：</td>
    <td class="site_bg_bs" scope=col><input id="MAxnum" runat="server" class="input_to_to" 
      title="请输入带宽限制(必填) 如: 1024" onkeyup="value=value.replace(/[^0-9,]/g,'')" 
      value=0 maxLength=7 size=5 name=MAxnum> KB/秒&nbsp;&nbsp;&nbsp;<span 
      class=syt_1>必须0-9的数字&nbsp;&nbsp;&nbsp;&nbsp;0</span>为不限制带宽，其他数字值不能大于4194303</td></tr>
<tr class="tr3 s3" style="height:30px;">
    <td class="site_bg_bs" height="22" width="200px" scope=col>&nbsp;&nbsp;切换应用程序池：</td>
    <td class="site_bg_bs" scope=col>     
   
    <select id="apppool" runat="server" class="input_to_to" name="apppool"> </select>
    </td></tr>
<tr class="tr3 s3" style="height:30px;">
    <td class="site_bg_bs" height="22" width="200px" scope=col>&nbsp;&nbsp;空间是否支持.NET：</td>
    <td class="site_bg_bs" scope=col>
    <select id="net" runat="server" class=input_to_to name=rznum> 
    <option selected value="启动">启动</option> <option value="禁止">禁止</option></select></td></tr>
              
<tr class="tr3 s3" style="height:30px;">
    <td class="site_bg_bs" height="22" width="200px" scope=col>&nbsp;&nbsp;空间是否开启父路径：</td>
    <td class="site_bg_bs" scope=col>
    <select id="parentpath" runat="server" class=input_to_to name=userGroup> 
     <option selected value="启动">启动</option> <option value="禁止">禁止</option>
    </select></td></tr>
<tr class="tr3 s3" style="height:30px;">
  
  
    <td class="site_bg_bs" height="22" width="200px" scope=col>&nbsp;&nbsp;在线解压：</td>
    <td class="site_bg_bs" scope=col><select id="Azip"  onchange="change(0)" runat="server" class=input_to_to 
        name=Azip><option selected value="0">禁用</option>  <option  value="1">启用</option>
        </select> <input id="Azipnum" disabled="true" runat="server"  class=input_to_to  onkeyup="value=value.replace(/[^0-9,]/g,'')" value=-1 maxLength=9 size=5 
      name=Azipnum  > M&nbsp;&nbsp;&nbsp;<span class=syt_1>0 </span>为不限制大小 &nbsp;-1为禁用</td></tr>
      
  <tr class="tr3 s3" style="height:30px;">
    <td class="site_bg_bs" height="22" width="200px" scope=col>&nbsp;&nbsp;在线压缩：</td>
    <td class="site_bg_bs" scope=col><select id="Xzip" runat="server" onchange="change(1)"  class=input_to_to 
        name=Xzip> <option selected value=0>禁用</option> <option 
        value=1>启用</option></select> <input id="Xzipnum" runat="server" class=input_to_to 
      onkeyup="value=value.replace(/[^0-9,]/g,'')" value=-1 maxLength=9 size=5 
      name=Xzipnum disabled="true" > M&nbsp;&nbsp;&nbsp;<span class=syt_1>0 </span>为不限制大小 &nbsp;-1为禁用</td></tr>
      
      
  <tr class="tr3 s3" style="height:30px;">
    <td class="site_bg_bs" height="22" width="200px" scope=col>&nbsp;&nbsp;主机续费：</td>
    <td class="site_bg_bs" scope=col><select runat="server" id="year" class=input_to_to 
      name=Eyear> <option value=0 selected >0年</option> <option 
        value=1>1年</option> <option value=2>2年</option> <option 
        value=3>3年</option> <option value=4>4年</option> <option 
        value=5>5年</option> <option value=6>6年</option> <option 
        value=7>7年</option> <option value=8>8年</option> <option 
        value=9>9年</option> <option value=10>10年</option></select>
         <select runat="server" id="month" class="input_to_to" name="Emone"> 
         <option selected value=0>0个月</option> <option value=1>1个月</option> <option 
        value=2>2个月</option> <option value=3>3个月</option> <option 
        value=4>4个月</option> <option value=5>5个月</option> <option 
        value=6>6个月</option> <option value=7>7个月</option> <option 
        value=8>8个月</option> <option value=9>9个月</option> <option 
        value=10>10个月</option> <option value=11>11个月</option></select></td></tr>
  <tr class="tr3 s3" style="height:30px;">
    <td class="site_bg_bs" height=28 colspan=2 scope=col align=middle>
        <asp:ImageButton ID="btnYes" runat="server" 
            ImageUrl="~/images/host/update.gif" onclick="btnYes_Click" />
   
    </td></tr></form></tbody></table>


<br />
 
</div>
<div class="c"></div>
 
</body></html>

